#' Arvados API
#' The API to interact with Arvados.
#' 
#' Auto-generated code by googleAuthR::gar_create_api_skeleton
#'  at 2017-07-19 18:57:49
#' filename: arvados_functions.R
#' api_json: apis
#' 
#' @details 
#' Authentication scopes used are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' @docType package 
#' @name arvados_googleAuthR
#' 
NULL
## NULL

#' A helper function that tests whether an object is either NULL _or_
#' a list of NULLs
#'
#' @keywords internal
is.NullOb <- function(x) is.null(x) | all(sapply(x, is.null))
#' Recursively step down into list, removing all such objects
#'
#' @keywords internal
rmNullObs <- function(x) {
    x <- Filter(Negate(is.NullOb), x)
    lapply(x, function(x) if (is.list(x)) 
        rmNullObs(x) else x)
}

#' Gets a User's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the User in question
#' @importFrom googleAuthR gar_api_generator
#' @export
users.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/users/%s", uuid)
    # arvados.users.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List Users.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Users. For example:                   <pre>                   {                    'kind':'arvados#userList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
users.list <- function(filters, where, order, select, distinct, limit, offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/users"
    # arvados.users.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new User.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
users.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/users"
    # arvados.users.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing User.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the User in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
users.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/users/%s", uuid)
    # arvados.users.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing User.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the User in question
#' @importFrom googleAuthR gar_api_generator
#' @export
users.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/users/%s", uuid)
    # arvados.users.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' current users
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' #' @importFrom googleAuthR gar_api_generator
#' @export
users.current <- function() {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/users/current"
    # arvados.users.current
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' system users
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' #' @importFrom googleAuthR gar_api_generator
#' @export
users.system <- function() {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/users/system"
    # arvados.users.system
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' activate users
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
users.activate <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/users/%s/activate", uuid)
    # arvados.users.activate
    f <- googleAuthR::gar_api_generator(url, "POST", data_parse_function = function(x) x)
    f()
    
}

#' setup users
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param user 
#' @param openid_prefix 
#' @param repo_name 
#' @param vm_uuid 
#' @param send_notification_email 
#' @importFrom googleAuthR gar_api_generator
#' @export
users.setup <- function(user, openid_prefix, repo_name, vm_uuid, send_notification_email) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/users/setup"
    # arvados.users.setup
    pars = list(user = user, openid_prefix = openid_prefix, repo_name = repo_name, 
        vm_uuid = vm_uuid, send_notification_email = send_notification_email)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' unsetup users
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
users.unsetup <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/users/%s/unsetup", uuid)
    # arvados.users.unsetup
    f <- googleAuthR::gar_api_generator(url, "POST", data_parse_function = function(x) x)
    f()
    
}

#' List Users.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Users. For example:                   <pre>                   {                    'kind':'arvados#userList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
users.list <- function(filters, where, order, select, distinct, limit, offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/users"
    # arvados.users.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show users
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
users.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/users/%s", uuid)
    # arvados.users.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy users
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
users.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/users/%s", uuid)
    # arvados.users.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a Workflow's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Workflow in question
#' @importFrom googleAuthR gar_api_generator
#' @export
workflows.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/workflows/%s", uuid)
    # arvados.workflows.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List Workflows.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Workflows. For example:                   <pre>                   {                    'kind':'arvados#workflowList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
workflows.list <- function(filters, where, order, select, distinct, limit, offset, 
    count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/workflows"
    # arvados.workflows.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new Workflow.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
workflows.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/workflows"
    # arvados.workflows.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing Workflow.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the Workflow in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
workflows.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/workflows/%s", uuid)
    # arvados.workflows.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing Workflow.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Workflow in question
#' @importFrom googleAuthR gar_api_generator
#' @export
workflows.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/workflows/%s", uuid)
    # arvados.workflows.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' List Workflows.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Workflows. For example:                   <pre>                   {                    'kind':'arvados#workflowList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
workflows.list <- function(filters, where, order, select, distinct, limit, offset, 
    count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/workflows"
    # arvados.workflows.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show workflows
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
workflows.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/workflows/%s", uuid)
    # arvados.workflows.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy workflows
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
workflows.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/workflows/%s", uuid)
    # arvados.workflows.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a Link's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Link in question
#' @importFrom googleAuthR gar_api_generator
#' @export
links.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/links/%s", uuid)
    # arvados.links.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List Links.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Links. For example:                   <pre>                   {                    'kind':'arvados#linkList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
links.list <- function(filters, where, order, select, distinct, limit, offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/links"
    # arvados.links.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new Link.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
links.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/links"
    # arvados.links.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing Link.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the Link in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
links.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/links/%s", uuid)
    # arvados.links.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing Link.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Link in question
#' @importFrom googleAuthR gar_api_generator
#' @export
links.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/links/%s", uuid)
    # arvados.links.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' List Links.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Links. For example:                   <pre>                   {                    'kind':'arvados#linkList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
links.list <- function(filters, where, order, select, distinct, limit, offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/links"
    # arvados.links.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show links
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
links.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/links/%s", uuid)
    # arvados.links.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy links
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
links.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/links/%s", uuid)
    # arvados.links.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' get_permissions links
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
links.get_permissions <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/permissions/%s", uuid)
    # arvados.links.get_permissions
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' Gets a Group's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Group in question
#' @importFrom googleAuthR gar_api_generator
#' @export
groups.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/groups/%s", uuid)
    # arvados.groups.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List Groups.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Groups. For example:                   <pre>                   {                    'kind':'arvados#groupList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
groups.list <- function(filters, where, order, select, distinct, limit, offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/groups"
    # arvados.groups.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new Group.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
groups.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/groups"
    # arvados.groups.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing Group.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the Group in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
groups.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/groups/%s", uuid)
    # arvados.groups.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing Group.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Group in question
#' @importFrom googleAuthR gar_api_generator
#' @export
groups.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/groups/%s", uuid)
    # arvados.groups.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' contents groups
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @param uuid 
#' @param recursive Include contents from child groups recursively
#' @importFrom googleAuthR gar_api_generator
#' @export
groups.contents <- function(filters, where, order, distinct, limit, offset, count, 
    uuid, recursive) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/groups/contents"
    # arvados.groups.contents
    pars = list(filters = filters, where = where, order = order, distinct = distinct, 
        limit = limit, offset = offset, count = count, uuid = uuid, recursive = recursive)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' List Groups.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Groups. For example:                   <pre>                   {                    'kind':'arvados#groupList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
groups.list <- function(filters, where, order, select, distinct, limit, offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/groups"
    # arvados.groups.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show groups
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
groups.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/groups/%s", uuid)
    # arvados.groups.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy groups
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
groups.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/groups/%s", uuid)
    # arvados.groups.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a ApiClientAuthorization's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the ApiClientAuthorization in question
#' @importFrom googleAuthR gar_api_generator
#' @export
api_client_authorizations.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/api_client_authorizations/%s", 
        uuid)
    # arvados.api_client_authorizations.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List ApiClientAuthorizations.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching ApiClientAuthorizations. For example:                   <pre>                   {                    'kind':'arvados#apiClientAuthorizationList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
api_client_authorizations.list <- function(filters, where, order, select, distinct, 
    limit, offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/api_client_authorizations"
    # arvados.api_client_authorizations.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new ApiClientAuthorization.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
api_client_authorizations.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/api_client_authorizations"
    # arvados.api_client_authorizations.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing ApiClientAuthorization.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the ApiClientAuthorization in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
api_client_authorizations.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/api_client_authorizations/%s", 
        uuid)
    # arvados.api_client_authorizations.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing ApiClientAuthorization.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the ApiClientAuthorization in question
#' @importFrom googleAuthR gar_api_generator
#' @export
api_client_authorizations.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/api_client_authorizations/%s", 
        uuid)
    # arvados.api_client_authorizations.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' create_system_auth api_client_authorizations
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param api_client_id 
#' @param scopes 
#' @importFrom googleAuthR gar_api_generator
#' @export
api_client_authorizations.create_system_auth <- function(api_client_id, scopes) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/api_client_authorizations/create_system_auth"
    # arvados.api_client_authorizations.create_system_auth
    pars = list(api_client_id = api_client_id, scopes = scopes)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' current api_client_authorizations
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' #' @importFrom googleAuthR gar_api_generator
#' @export
api_client_authorizations.current <- function() {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/api_client_authorizations/current"
    # arvados.api_client_authorizations.current
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List ApiClientAuthorizations.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching ApiClientAuthorizations. For example:                   <pre>                   {                    'kind':'arvados#apiClientAuthorizationList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
api_client_authorizations.list <- function(filters, where, order, select, distinct, 
    limit, offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/api_client_authorizations"
    # arvados.api_client_authorizations.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show api_client_authorizations
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
api_client_authorizations.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/api_client_authorizations/%s", 
        uuid)
    # arvados.api_client_authorizations.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy api_client_authorizations
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
api_client_authorizations.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/api_client_authorizations/%s", 
        uuid)
    # arvados.api_client_authorizations.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a ApiClient's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the ApiClient in question
#' @importFrom googleAuthR gar_api_generator
#' @export
api_clients.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/api_clients/%s", uuid)
    # arvados.api_clients.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List ApiClients.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching ApiClients. For example:                   <pre>                   {                    'kind':'arvados#apiClientList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
api_clients.list <- function(filters, where, order, select, distinct, limit, offset, 
    count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/api_clients"
    # arvados.api_clients.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new ApiClient.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
api_clients.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/api_clients"
    # arvados.api_clients.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing ApiClient.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the ApiClient in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
api_clients.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/api_clients/%s", uuid)
    # arvados.api_clients.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing ApiClient.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the ApiClient in question
#' @importFrom googleAuthR gar_api_generator
#' @export
api_clients.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/api_clients/%s", uuid)
    # arvados.api_clients.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' List ApiClients.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching ApiClients. For example:                   <pre>                   {                    'kind':'arvados#apiClientList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
api_clients.list <- function(filters, where, order, select, distinct, limit, offset, 
    count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/api_clients"
    # arvados.api_clients.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show api_clients
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
api_clients.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/api_clients/%s", uuid)
    # arvados.api_clients.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy api_clients
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
api_clients.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/api_clients/%s", uuid)
    # arvados.api_clients.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a AuthorizedKey's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the AuthorizedKey in question
#' @importFrom googleAuthR gar_api_generator
#' @export
authorized_keys.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/authorized_keys/%s", 
        uuid)
    # arvados.authorized_keys.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List AuthorizedKeys.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching AuthorizedKeys. For example:                   <pre>                   {                    'kind':'arvados#authorizedKeyList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
authorized_keys.list <- function(filters, where, order, select, distinct, limit, 
    offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/authorized_keys"
    # arvados.authorized_keys.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new AuthorizedKey.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
authorized_keys.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/authorized_keys"
    # arvados.authorized_keys.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing AuthorizedKey.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the AuthorizedKey in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
authorized_keys.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/authorized_keys/%s", 
        uuid)
    # arvados.authorized_keys.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing AuthorizedKey.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the AuthorizedKey in question
#' @importFrom googleAuthR gar_api_generator
#' @export
authorized_keys.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/authorized_keys/%s", 
        uuid)
    # arvados.authorized_keys.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' List AuthorizedKeys.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching AuthorizedKeys. For example:                   <pre>                   {                    'kind':'arvados#authorizedKeyList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
authorized_keys.list <- function(filters, where, order, select, distinct, limit, 
    offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/authorized_keys"
    # arvados.authorized_keys.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show authorized_keys
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
authorized_keys.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/authorized_keys/%s", 
        uuid)
    # arvados.authorized_keys.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy authorized_keys
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
authorized_keys.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/authorized_keys/%s", 
        uuid)
    # arvados.authorized_keys.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a Collection's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Collection in question
#' @importFrom googleAuthR gar_api_generator
#' @export
collections.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/collections/%s", uuid)
    # arvados.collections.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List Collections.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Collections. For example:                   <pre>                   {                    'kind':'arvados#collectionList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @param include_trash Include collections whose is_trashed attribute is true
#' @importFrom googleAuthR gar_api_generator
#' @export
collections.list <- function(filters, where, order, select, distinct, limit, offset, 
    count, include_trash) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/collections"
    # arvados.collections.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count, include_trash = include_trash)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new Collection.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
collections.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/collections"
    # arvados.collections.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing Collection.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the Collection in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
collections.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/collections/%s", uuid)
    # arvados.collections.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing Collection.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Collection in question
#' @importFrom googleAuthR gar_api_generator
#' @export
collections.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/collections/%s", uuid)
    # arvados.collections.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' provenance collections
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
collections.provenance <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/collections/%s/provenance", 
        uuid)
    # arvados.collections.provenance
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' used_by collections
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
collections.used_by <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/collections/%s/used_by", 
        uuid)
    # arvados.collections.used_by
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' trash collections
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
collections.trash <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/collections/%s/trash", 
        uuid)
    # arvados.collections.trash
    f <- googleAuthR::gar_api_generator(url, "POST", data_parse_function = function(x) x)
    f()
    
}

#' untrash collections
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
collections.untrash <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/collections/%s/untrash", 
        uuid)
    # arvados.collections.untrash
    f <- googleAuthR::gar_api_generator(url, "POST", data_parse_function = function(x) x)
    f()
    
}

#' List Collections.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Collections. For example:                   <pre>                   {                    'kind':'arvados#collectionList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @param include_trash Include collections whose is_trashed attribute is true
#' @importFrom googleAuthR gar_api_generator
#' @export
collections.list <- function(filters, where, order, select, distinct, limit, offset, 
    count, include_trash) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/collections"
    # arvados.collections.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count, include_trash = include_trash)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show collections
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
collections.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/collections/%s", uuid)
    # arvados.collections.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy collections
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
collections.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/collections/%s", uuid)
    # arvados.collections.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a ContainerRequest's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the ContainerRequest in question
#' @importFrom googleAuthR gar_api_generator
#' @export
container_requests.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/container_requests/%s", 
        uuid)
    # arvados.container_requests.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List ContainerRequests.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching ContainerRequests. For example:                   <pre>                   {                    'kind':'arvados#containerRequestList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
container_requests.list <- function(filters, where, order, select, distinct, limit, 
    offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/container_requests"
    # arvados.container_requests.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new ContainerRequest.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
container_requests.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/container_requests"
    # arvados.container_requests.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing ContainerRequest.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the ContainerRequest in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
container_requests.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/container_requests/%s", 
        uuid)
    # arvados.container_requests.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing ContainerRequest.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the ContainerRequest in question
#' @importFrom googleAuthR gar_api_generator
#' @export
container_requests.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/container_requests/%s", 
        uuid)
    # arvados.container_requests.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' List ContainerRequests.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching ContainerRequests. For example:                   <pre>                   {                    'kind':'arvados#containerRequestList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
container_requests.list <- function(filters, where, order, select, distinct, limit, 
    offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/container_requests"
    # arvados.container_requests.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show container_requests
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
container_requests.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/container_requests/%s", 
        uuid)
    # arvados.container_requests.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy container_requests
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
container_requests.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/container_requests/%s", 
        uuid)
    # arvados.container_requests.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a Container's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Container in question
#' @importFrom googleAuthR gar_api_generator
#' @export
containers.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/containers/%s", uuid)
    # arvados.containers.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List Containers.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Containers. For example:                   <pre>                   {                    'kind':'arvados#containerList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
containers.list <- function(filters, where, order, select, distinct, limit, offset, 
    count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/containers"
    # arvados.containers.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new Container.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
containers.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/containers"
    # arvados.containers.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing Container.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the Container in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
containers.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/containers/%s", uuid)
    # arvados.containers.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing Container.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Container in question
#' @importFrom googleAuthR gar_api_generator
#' @export
containers.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/containers/%s", uuid)
    # arvados.containers.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' auth containers
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
containers.auth <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/containers/%s/auth", 
        uuid)
    # arvados.containers.auth
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' lock containers
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
containers.lock <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/containers/%s/lock", 
        uuid)
    # arvados.containers.lock
    f <- googleAuthR::gar_api_generator(url, "POST", data_parse_function = function(x) x)
    f()
    
}

#' unlock containers
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
containers.unlock <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/containers/%s/unlock", 
        uuid)
    # arvados.containers.unlock
    f <- googleAuthR::gar_api_generator(url, "POST", data_parse_function = function(x) x)
    f()
    
}

#' current containers
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' #' @importFrom googleAuthR gar_api_generator
#' @export
containers.current <- function() {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/containers/current"
    # arvados.containers.current
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List Containers.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Containers. For example:                   <pre>                   {                    'kind':'arvados#containerList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
containers.list <- function(filters, where, order, select, distinct, limit, offset, 
    count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/containers"
    # arvados.containers.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show containers
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
containers.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/containers/%s", uuid)
    # arvados.containers.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy containers
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
containers.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/containers/%s", uuid)
    # arvados.containers.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a Human's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Human in question
#' @importFrom googleAuthR gar_api_generator
#' @export
humans.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/humans/%s", uuid)
    # arvados.humans.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List Humans.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Humans. For example:                   <pre>                   {                    'kind':'arvados#humanList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
humans.list <- function(filters, where, order, select, distinct, limit, offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/humans"
    # arvados.humans.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new Human.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
humans.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/humans"
    # arvados.humans.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing Human.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the Human in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
humans.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/humans/%s", uuid)
    # arvados.humans.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing Human.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Human in question
#' @importFrom googleAuthR gar_api_generator
#' @export
humans.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/humans/%s", uuid)
    # arvados.humans.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' List Humans.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Humans. For example:                   <pre>                   {                    'kind':'arvados#humanList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
humans.list <- function(filters, where, order, select, distinct, limit, offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/humans"
    # arvados.humans.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show humans
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
humans.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/humans/%s", uuid)
    # arvados.humans.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy humans
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
humans.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/humans/%s", uuid)
    # arvados.humans.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a JobTask's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the JobTask in question
#' @importFrom googleAuthR gar_api_generator
#' @export
job_tasks.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/job_tasks/%s", uuid)
    # arvados.job_tasks.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List JobTasks.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching JobTasks. For example:                   <pre>                   {                    'kind':'arvados#jobTaskList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
job_tasks.list <- function(filters, where, order, select, distinct, limit, offset, 
    count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/job_tasks"
    # arvados.job_tasks.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new JobTask.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
job_tasks.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/job_tasks"
    # arvados.job_tasks.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing JobTask.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the JobTask in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
job_tasks.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/job_tasks/%s", uuid)
    # arvados.job_tasks.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing JobTask.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the JobTask in question
#' @importFrom googleAuthR gar_api_generator
#' @export
job_tasks.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/job_tasks/%s", uuid)
    # arvados.job_tasks.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' List JobTasks.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching JobTasks. For example:                   <pre>                   {                    'kind':'arvados#jobTaskList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
job_tasks.list <- function(filters, where, order, select, distinct, limit, offset, 
    count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/job_tasks"
    # arvados.job_tasks.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show job_tasks
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
job_tasks.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/job_tasks/%s", uuid)
    # arvados.job_tasks.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy job_tasks
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
job_tasks.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/job_tasks/%s", uuid)
    # arvados.job_tasks.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a KeepDisk's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the KeepDisk in question
#' @importFrom googleAuthR gar_api_generator
#' @export
keep_disks.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/keep_disks/%s", uuid)
    # arvados.keep_disks.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List KeepDisks.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching KeepDisks. For example:                   <pre>                   {                    'kind':'arvados#keepDiskList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
keep_disks.list <- function(filters, where, order, select, distinct, limit, offset, 
    count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/keep_disks"
    # arvados.keep_disks.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new KeepDisk.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
keep_disks.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/keep_disks"
    # arvados.keep_disks.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing KeepDisk.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the KeepDisk in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
keep_disks.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/keep_disks/%s", uuid)
    # arvados.keep_disks.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing KeepDisk.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the KeepDisk in question
#' @importFrom googleAuthR gar_api_generator
#' @export
keep_disks.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/keep_disks/%s", uuid)
    # arvados.keep_disks.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' ping keep_disks
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @param ping_secret 
#' @param node_uuid 
#' @param filesystem_uuid 
#' @param service_host 
#' @param service_port 
#' @param service_ssl_flag 
#' @importFrom googleAuthR gar_api_generator
#' @export
keep_disks.ping <- function(uuid, ping_secret, node_uuid, filesystem_uuid, service_host, 
    service_port, service_ssl_flag) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/keep_disks/ping"
    # arvados.keep_disks.ping
    pars = list(uuid = uuid, ping_secret = ping_secret, node_uuid = node_uuid, filesystem_uuid = filesystem_uuid, 
        service_host = service_host, service_port = service_port, service_ssl_flag = service_ssl_flag)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' List KeepDisks.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching KeepDisks. For example:                   <pre>                   {                    'kind':'arvados#keepDiskList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
keep_disks.list <- function(filters, where, order, select, distinct, limit, offset, 
    count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/keep_disks"
    # arvados.keep_disks.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show keep_disks
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
keep_disks.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/keep_disks/%s", uuid)
    # arvados.keep_disks.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy keep_disks
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
keep_disks.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/keep_disks/%s", uuid)
    # arvados.keep_disks.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a Job's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Job in question
#' @importFrom googleAuthR gar_api_generator
#' @export
jobs.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/jobs/%s", uuid)
    # arvados.jobs.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List Jobs.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Jobs. For example:                   <pre>                   {                    'kind':'arvados#jobList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
jobs.list <- function(filters, where, order, select, distinct, limit, offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/jobs"
    # arvados.jobs.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new Job.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @param find_or_create 
#' @param filters 
#' @param minimum_script_version 
#' @param exclude_script_versions 
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
jobs.create <- function(NA. = NULL, ensure_unique_name, find_or_create, filters, 
    minimum_script_version, exclude_script_versions) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/jobs"
    # arvados.jobs.create
    pars = list(ensure_unique_name = ensure_unique_name, find_or_create = find_or_create, 
        filters = filters, minimum_script_version = minimum_script_version, exclude_script_versions = exclude_script_versions)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing Job.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the Job in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
jobs.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/jobs/%s", uuid)
    # arvados.jobs.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing Job.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Job in question
#' @importFrom googleAuthR gar_api_generator
#' @export
jobs.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/jobs/%s", uuid)
    # arvados.jobs.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' queue jobs
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
jobs.queue <- function(filters, where, order, select, distinct, limit, offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/jobs/queue"
    # arvados.jobs.queue
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' queue_size jobs
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' #' @importFrom googleAuthR gar_api_generator
#' @export
jobs.queue_size <- function() {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/jobs/queue_size"
    # arvados.jobs.queue_size
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' cancel jobs
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
jobs.cancel <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/jobs/%s/cancel", uuid)
    # arvados.jobs.cancel
    f <- googleAuthR::gar_api_generator(url, "POST", data_parse_function = function(x) x)
    f()
    
}

#' lock jobs
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
jobs.lock <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/jobs/%s/lock", uuid)
    # arvados.jobs.lock
    f <- googleAuthR::gar_api_generator(url, "POST", data_parse_function = function(x) x)
    f()
    
}

#' List Jobs.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Jobs. For example:                   <pre>                   {                    'kind':'arvados#jobList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
jobs.list <- function(filters, where, order, select, distinct, limit, offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/jobs"
    # arvados.jobs.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show jobs
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
jobs.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/jobs/%s", uuid)
    # arvados.jobs.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy jobs
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
jobs.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/jobs/%s", uuid)
    # arvados.jobs.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a KeepService's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the KeepService in question
#' @importFrom googleAuthR gar_api_generator
#' @export
keep_services.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/keep_services/%s", uuid)
    # arvados.keep_services.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List KeepServices.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching KeepServices. For example:                   <pre>                   {                    'kind':'arvados#keepServiceList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
keep_services.list <- function(filters, where, order, select, distinct, limit, offset, 
    count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/keep_services"
    # arvados.keep_services.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new KeepService.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
keep_services.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/keep_services"
    # arvados.keep_services.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing KeepService.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the KeepService in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
keep_services.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/keep_services/%s", uuid)
    # arvados.keep_services.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing KeepService.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the KeepService in question
#' @importFrom googleAuthR gar_api_generator
#' @export
keep_services.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/keep_services/%s", uuid)
    # arvados.keep_services.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' accessible keep_services
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' #' @importFrom googleAuthR gar_api_generator
#' @export
keep_services.accessible <- function() {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/keep_services/accessible"
    # arvados.keep_services.accessible
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List KeepServices.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching KeepServices. For example:                   <pre>                   {                    'kind':'arvados#keepServiceList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
keep_services.list <- function(filters, where, order, select, distinct, limit, offset, 
    count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/keep_services"
    # arvados.keep_services.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show keep_services
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
keep_services.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/keep_services/%s", uuid)
    # arvados.keep_services.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy keep_services
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
keep_services.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/keep_services/%s", uuid)
    # arvados.keep_services.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a Log's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Log in question
#' @importFrom googleAuthR gar_api_generator
#' @export
logs.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/logs/%s", uuid)
    # arvados.logs.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List Logs.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Logs. For example:                   <pre>                   {                    'kind':'arvados#logList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
logs.list <- function(filters, where, order, select, distinct, limit, offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/logs"
    # arvados.logs.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new Log.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
logs.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/logs"
    # arvados.logs.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing Log.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the Log in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
logs.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/logs/%s", uuid)
    # arvados.logs.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing Log.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Log in question
#' @importFrom googleAuthR gar_api_generator
#' @export
logs.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/logs/%s", uuid)
    # arvados.logs.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' List Logs.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Logs. For example:                   <pre>                   {                    'kind':'arvados#logList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
logs.list <- function(filters, where, order, select, distinct, limit, offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/logs"
    # arvados.logs.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show logs
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
logs.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/logs/%s", uuid)
    # arvados.logs.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy logs
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
logs.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/logs/%s", uuid)
    # arvados.logs.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a Node's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Node in question
#' @importFrom googleAuthR gar_api_generator
#' @export
nodes.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/nodes/%s", uuid)
    # arvados.nodes.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List Nodes.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Nodes. For example:                   <pre>                   {                    'kind':'arvados#nodeList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
nodes.list <- function(filters, where, order, select, distinct, limit, offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/nodes"
    # arvados.nodes.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new Node.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
nodes.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/nodes"
    # arvados.nodes.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing Node.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the Node in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
nodes.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/nodes/%s", uuid)
    # arvados.nodes.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing Node.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Node in question
#' @importFrom googleAuthR gar_api_generator
#' @export
nodes.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/nodes/%s", uuid)
    # arvados.nodes.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' ping nodes
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @param ping_secret 
#' @importFrom googleAuthR gar_api_generator
#' @export
nodes.ping <- function(uuid, ping_secret) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/nodes/%s/ping", uuid)
    # arvados.nodes.ping
    pars = list(ping_secret = ping_secret)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' List Nodes.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Nodes. For example:                   <pre>                   {                    'kind':'arvados#nodeList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
nodes.list <- function(filters, where, order, select, distinct, limit, offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/nodes"
    # arvados.nodes.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show nodes
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
nodes.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/nodes/%s", uuid)
    # arvados.nodes.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy nodes
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
nodes.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/nodes/%s", uuid)
    # arvados.nodes.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a PipelineTemplate's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the PipelineTemplate in question
#' @importFrom googleAuthR gar_api_generator
#' @export
pipeline_templates.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/pipeline_templates/%s", 
        uuid)
    # arvados.pipeline_templates.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List PipelineTemplates.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching PipelineTemplates. For example:                   <pre>                   {                    'kind':'arvados#pipelineTemplateList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
pipeline_templates.list <- function(filters, where, order, select, distinct, limit, 
    offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/pipeline_templates"
    # arvados.pipeline_templates.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new PipelineTemplate.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
pipeline_templates.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/pipeline_templates"
    # arvados.pipeline_templates.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing PipelineTemplate.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the PipelineTemplate in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
pipeline_templates.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/pipeline_templates/%s", 
        uuid)
    # arvados.pipeline_templates.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing PipelineTemplate.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the PipelineTemplate in question
#' @importFrom googleAuthR gar_api_generator
#' @export
pipeline_templates.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/pipeline_templates/%s", 
        uuid)
    # arvados.pipeline_templates.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' List PipelineTemplates.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching PipelineTemplates. For example:                   <pre>                   {                    'kind':'arvados#pipelineTemplateList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
pipeline_templates.list <- function(filters, where, order, select, distinct, limit, 
    offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/pipeline_templates"
    # arvados.pipeline_templates.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show pipeline_templates
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
pipeline_templates.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/pipeline_templates/%s", 
        uuid)
    # arvados.pipeline_templates.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy pipeline_templates
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
pipeline_templates.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/pipeline_templates/%s", 
        uuid)
    # arvados.pipeline_templates.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a PipelineInstance's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the PipelineInstance in question
#' @importFrom googleAuthR gar_api_generator
#' @export
pipeline_instances.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/pipeline_instances/%s", 
        uuid)
    # arvados.pipeline_instances.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List PipelineInstances.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching PipelineInstances. For example:                   <pre>                   {                    'kind':'arvados#pipelineInstanceList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
pipeline_instances.list <- function(filters, where, order, select, distinct, limit, 
    offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/pipeline_instances"
    # arvados.pipeline_instances.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new PipelineInstance.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
pipeline_instances.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/pipeline_instances"
    # arvados.pipeline_instances.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing PipelineInstance.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the PipelineInstance in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
pipeline_instances.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/pipeline_instances/%s", 
        uuid)
    # arvados.pipeline_instances.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing PipelineInstance.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the PipelineInstance in question
#' @importFrom googleAuthR gar_api_generator
#' @export
pipeline_instances.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/pipeline_instances/%s", 
        uuid)
    # arvados.pipeline_instances.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' cancel pipeline_instances
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
pipeline_instances.cancel <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/pipeline_instances/%s/cancel", 
        uuid)
    # arvados.pipeline_instances.cancel
    f <- googleAuthR::gar_api_generator(url, "POST", data_parse_function = function(x) x)
    f()
    
}

#' List PipelineInstances.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching PipelineInstances. For example:                   <pre>                   {                    'kind':'arvados#pipelineInstanceList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
pipeline_instances.list <- function(filters, where, order, select, distinct, limit, 
    offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/pipeline_instances"
    # arvados.pipeline_instances.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show pipeline_instances
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
pipeline_instances.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/pipeline_instances/%s", 
        uuid)
    # arvados.pipeline_instances.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy pipeline_instances
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
pipeline_instances.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/pipeline_instances/%s", 
        uuid)
    # arvados.pipeline_instances.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a Specimen's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Specimen in question
#' @importFrom googleAuthR gar_api_generator
#' @export
specimens.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/specimens/%s", uuid)
    # arvados.specimens.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List Specimens.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Specimens. For example:                   <pre>                   {                    'kind':'arvados#specimenList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
specimens.list <- function(filters, where, order, select, distinct, limit, offset, 
    count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/specimens"
    # arvados.specimens.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new Specimen.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
specimens.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/specimens"
    # arvados.specimens.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing Specimen.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the Specimen in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
specimens.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/specimens/%s", uuid)
    # arvados.specimens.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing Specimen.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Specimen in question
#' @importFrom googleAuthR gar_api_generator
#' @export
specimens.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/specimens/%s", uuid)
    # arvados.specimens.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' List Specimens.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Specimens. For example:                   <pre>                   {                    'kind':'arvados#specimenList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
specimens.list <- function(filters, where, order, select, distinct, limit, offset, 
    count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/specimens"
    # arvados.specimens.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show specimens
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
specimens.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/specimens/%s", uuid)
    # arvados.specimens.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy specimens
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
specimens.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/specimens/%s", uuid)
    # arvados.specimens.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a Repository's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Repository in question
#' @importFrom googleAuthR gar_api_generator
#' @export
repositories.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/repositories/%s", uuid)
    # arvados.repositories.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List Repositories.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Repositories. For example:                   <pre>                   {                    'kind':'arvados#repositoryList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
repositories.list <- function(filters, where, order, select, distinct, limit, offset, 
    count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/repositories"
    # arvados.repositories.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new Repository.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
repositories.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/repositories"
    # arvados.repositories.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing Repository.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the Repository in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
repositories.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/repositories/%s", uuid)
    # arvados.repositories.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing Repository.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Repository in question
#' @importFrom googleAuthR gar_api_generator
#' @export
repositories.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/repositories/%s", uuid)
    # arvados.repositories.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' get_all_permissions repositories
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' #' @importFrom googleAuthR gar_api_generator
#' @export
repositories.get_all_permissions <- function() {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/repositories/get_all_permissions"
    # arvados.repositories.get_all_permissions
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List Repositories.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Repositories. For example:                   <pre>                   {                    'kind':'arvados#repositoryList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
repositories.list <- function(filters, where, order, select, distinct, limit, offset, 
    count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/repositories"
    # arvados.repositories.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show repositories
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
repositories.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/repositories/%s", uuid)
    # arvados.repositories.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy repositories
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
repositories.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/repositories/%s", uuid)
    # arvados.repositories.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a Trait's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Trait in question
#' @importFrom googleAuthR gar_api_generator
#' @export
traits.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/traits/%s", uuid)
    # arvados.traits.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List Traits.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Traits. For example:                   <pre>                   {                    'kind':'arvados#traitList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
traits.list <- function(filters, where, order, select, distinct, limit, offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/traits"
    # arvados.traits.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new Trait.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
traits.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/traits"
    # arvados.traits.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing Trait.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the Trait in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
traits.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/traits/%s", uuid)
    # arvados.traits.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing Trait.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the Trait in question
#' @importFrom googleAuthR gar_api_generator
#' @export
traits.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/traits/%s", uuid)
    # arvados.traits.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' List Traits.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching Traits. For example:                   <pre>                   {                    'kind':'arvados#traitList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
traits.list <- function(filters, where, order, select, distinct, limit, offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/traits"
    # arvados.traits.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show traits
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
traits.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/traits/%s", uuid)
    # arvados.traits.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy traits
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
traits.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/traits/%s", uuid)
    # arvados.traits.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a VirtualMachine's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the VirtualMachine in question
#' @importFrom googleAuthR gar_api_generator
#' @export
virtual_machines.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/virtual_machines/%s", 
        uuid)
    # arvados.virtual_machines.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List VirtualMachines.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching VirtualMachines. For example:                   <pre>                   {                    'kind':'arvados#virtualMachineList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
virtual_machines.list <- function(filters, where, order, select, distinct, limit, 
    offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/virtual_machines"
    # arvados.virtual_machines.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new VirtualMachine.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
virtual_machines.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/virtual_machines"
    # arvados.virtual_machines.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing VirtualMachine.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the VirtualMachine in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
virtual_machines.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/virtual_machines/%s", 
        uuid)
    # arvados.virtual_machines.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing VirtualMachine.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the VirtualMachine in question
#' @importFrom googleAuthR gar_api_generator
#' @export
virtual_machines.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/virtual_machines/%s", 
        uuid)
    # arvados.virtual_machines.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' logins virtual_machines
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
virtual_machines.logins <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/virtual_machines/%s/logins", 
        uuid)
    # arvados.virtual_machines.logins
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' get_all_logins virtual_machines
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' #' @importFrom googleAuthR gar_api_generator
#' @export
virtual_machines.get_all_logins <- function() {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/virtual_machines/get_all_logins"
    # arvados.virtual_machines.get_all_logins
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List VirtualMachines.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching VirtualMachines. For example:                   <pre>                   {                    'kind':'arvados#virtualMachineList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
virtual_machines.list <- function(filters, where, order, select, distinct, limit, 
    offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/virtual_machines"
    # arvados.virtual_machines.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' show virtual_machines
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
virtual_machines.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/virtual_machines/%s", 
        uuid)
    # arvados.virtual_machines.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' destroy virtual_machines
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
virtual_machines.destroy <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/virtual_machines/%s", 
        uuid)
    # arvados.virtual_machines.destroy
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' Gets a UserAgreement's metadata by UUID.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the UserAgreement in question
#' @importFrom googleAuthR gar_api_generator
#' @export
user_agreements.get <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/user_agreements/%s", 
        uuid)
    # arvados.user_agreements.get
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' List UserAgreements.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching UserAgreements. For example:                   <pre>                   {                    'kind':'arvados#userAgreementList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
user_agreements.list <- function(filters, where, order, select, distinct, limit, 
    offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/user_agreements"
    # arvados.user_agreements.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' Create a new UserAgreement.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param ensure_unique_name Adjust name to ensure uniqueness instead of returning an error on (owner_uuid, name) collision
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
user_agreements.create <- function(NA. = NULL, ensure_unique_name) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/user_agreements"
    # arvados.user_agreements.create
    pars = list(ensure_unique_name = ensure_unique_name)
    f <- googleAuthR::gar_api_generator(url, "POST", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Update attributes of an existing UserAgreement.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param  The \link{} object to pass to this method
#' @param uuid The UUID of the UserAgreement in question
#' @importFrom googleAuthR gar_api_generator
#' @family  functions
#' @export
user_agreements.update <- function(NA. = NULL, uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/user_agreements/%s", 
        uuid)
    # arvados.user_agreements.update
    f <- googleAuthR::gar_api_generator(url, "PUT", data_parse_function = function(x) x)
    stopifnot(inherits(, "gar_"))
    
    f(the_body = )
    
}

#' Delete an existing UserAgreement.
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid The UUID of the UserAgreement in question
#' @importFrom googleAuthR gar_api_generator
#' @export
user_agreements.delete <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/user_agreements/%s", 
        uuid)
    # arvados.user_agreements.delete
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    f()
    
}

#' signatures user_agreements
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' #' @importFrom googleAuthR gar_api_generator
#' @export
user_agreements.signatures <- function() {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/user_agreements/signatures"
    # arvados.user_agreements.signatures
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' sign user_agreements
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' #' @importFrom googleAuthR gar_api_generator
#' @export
user_agreements.sign <- function() {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/user_agreements/sign"
    # arvados.user_agreements.sign
    f <- googleAuthR::gar_api_generator(url, "POST", data_parse_function = function(x) x)
    f()
    
}

#' List UserAgreements.                   The <code>list</code> method returns a                   <a href='/api/resources.html'>resource list</a> of                   matching UserAgreements. For example:                   <pre>                   {                    'kind':'arvados#userAgreementList',                    'etag':'',                    'self_link':'',                    'next_page_token':'',                    'next_link':'',                    'items':[                       ...                    ],                    'items_available':745,                    '_profile':{                     'request_time':0.157236317                    }                    </pre>
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' \item https://api.curoverse.com/auth/arvados.readonly
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados, https://api.curoverse.com/auth/arvados.readonly)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param filters 
#' @param where 
#' @param order 
#' @param select 
#' @param distinct 
#' @param limit 
#' @param offset 
#' @param count 
#' @importFrom googleAuthR gar_api_generator
#' @export
user_agreements.list <- function(filters, where, order, select, distinct, limit, 
    offset, count) {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/user_agreements"
    # arvados.user_agreements.list
    pars = list(filters = filters, where = where, order = order, select = select, 
        distinct = distinct, limit = limit, offset = offset, count = count)
    f <- googleAuthR::gar_api_generator(url, "GET", pars_args = rmNullObs(pars), 
        data_parse_function = function(x) x)
    f()
    
}

#' new user_agreements
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' #' @importFrom googleAuthR gar_api_generator
#' @export
user_agreements.new <- function() {
    url <- "https://qr1hi.arvadosapi.com/arvados/v1/user_agreements/new"
    # arvados.user_agreements.new
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}

#' show user_agreements
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export
user_agreements.show <- function(uuid) {
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/user_agreements/%s", 
        uuid)
    # arvados.user_agreements.show
    f <- googleAuthR::gar_api_generator(url, "GET", data_parse_function = function(x) x)
    f()
    
}


#' destroy user_agreements
#' 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_skeleton}}
#' 
#' @seealso \href{http://doc.arvados.org/api/index.html}{Google Documentation}
#' 
#' @details 
#' Authentication scopes used by this function are:
#' \itemize{
#'   \item https://api.curoverse.com/auth/arvados
#' }
#' 
#' Set \code{options(googleAuthR.scopes.selected = c(https://api.curoverse.com/auth/arvados)}
#' Then run \code{googleAuthR::gar_auth()} to authenticate.
#' See \code{\link[googleAuthR]{gar_auth}} for details. 
#' 
#' @param uuid 
#' @importFrom googleAuthR gar_api_generator
#' @export


user_agreements.destroy <- function(uuid) {
    
    
    url <- sprintf("https://qr1hi.arvadosapi.com/arvados/v1/user_agreements/%s", 
        uuid)
    # arvados.user_agreements.destroy
    
    f <- googleAuthR::gar_api_generator(url, "DELETE", data_parse_function = function(x) x)
    
    f()
    
    
}



